dan200.computercraft.api.turtle

## Class TurtleCommandResult

- java.lang.Object
- - dan200.computercraft.api.turtle.TurtleCommandResult

    public final class TurtleCommandResult
    extends java.lang.Object

### Method Summary

Methods
`static TurtleCommandResult` `failure()`
`static TurtleCommandResult` `failure(java.lang.String errorMessage)`
`java.lang.String` `getErrorMessage()`
`boolean` `isSuccess()`
`static TurtleCommandResult` `success()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### success

    public static TurtleCommandResult success()

#### failure

    public static TurtleCommandResult failure()

#### failure

    public static TurtleCommandResult failure(java.lang.String errorMessage)

#### isSuccess

    public boolean isSuccess()

#### getErrorMessage

    public java.lang.String getErrorMessage()